RufzXP

Marco Tullio Cicerone

RufzXP "Tancredi"

(Per aspera ad astra)

Marco Tullio Cicerone

What is RufzXP ?

"Rufz" is the abbreviation of the German word "Rufzeichen-Hören", which means "Listening to Callsigns". RufzXP is an excellent training software for improving code speed and CW practice, particularly (ultra) high speed memory copying of true amateur radio calls. Focussing on improvement of CW proficiency, it is no contest simulator and does not provide for QRM. It provides additional tools for keeping track of training progress and comparing with other operators via International RufzXP Toplist.

RufzXP is a "must" for every serious high speed telegraphy operator and is an official competition of IARU High Speed Telegraphy Championships.

The appendix "XP" indicates that this completely new version takes advantage of latest software technology and runs with MS Windows XP (and additional 2000, NT, ME, 98).

For those who tried out the previous versions of Rufz (Rufz32, for example), there's little to explain: same rules, almost the same way to compute the score, the errors lead to the well known consequences; the users who are familiar with these topics can jump directly to the RufzXP - technical features section. Anyway, a complete reading of this documentation is recommended.

Attention: you can recall the documentation concerning all windows by pressing the F1 key!

RufzXP - Some remarks...

All Rufz software has been created for a unique goal: the improvement, pushed to the brinks (or, anyway, to the prefixed limits and a bit over), of Morse code reception. The program is based on a simple and ancient philosophy: "Per aspera ad astra" ("Through the thorns to the stars" - Cicero). As you can see, this is the motto of every real radio amateur. In fact, how can you obtain considerable results without tenacity, endurance and a daily methodical study? RufzXP provides the ideal tool for this purpose, and is able to extraordinary improve CW-skill. But, take care, it is going to make addictive!

The attempt

Its rules are easy to explain: when the attempt is started, at first the personal callsign is requested (max length allowed: 8 characters), then the initial speed and, after a few seconds the attempt starts (during the HST mode, only for classification purposes, also the user's title and birthdate will be asked). Once the attempt is started, the callsigns are transmitted and, between a transmission and the other, RufzXP waits for the user's answer. Once received, on the basis of the current speed, the length of the call, the number of errors and the time needed to answer, the program computes the score and varies the following callsign transmission speed. If the call was correct, speed will be increased, otherwise decreased. In the end, a detailed list containing all data concerning the performed attempt will be displayed and, soon afterwards, the scoreboard with the attained rank.

During the attempt, some features are available, like volume control and the possibility to immediatly hide the program pressing Shift+F4 or to immediately close it by the combination of Shift-F10 keys. For more details please refer to Attempt Form.

As you can see, the functioning of RufzXP is extremely easy but, anyway, a further reading of the specific sections is recommended.

RufzXP - technical features

RufzXP, like its predecessor, is based on a sequence of simple and effective algorithms; without getting into much detail, the RufzXP engine was developed on two fixed point:

  1. If received callsign was right, next transmission speed will increase, and vice versa, if callsign was wrong, speed will decrease

  2. score computation depends on current speed (quadratic influence), length of call (linear influence), number of errors (quadratic influence) and time needed to answer (logarithmic influence)

Speeds, unless during Trainer mode, are prefixed and selectable from a list: during a training session, on the contrary, it's possible to define the modality of increment (linear or percentage from 1% to 5%).

Some formulas were gradually improved, bearing in mind the above mentioned elements. These formulas provide a real assessment of Morse code reception skills: meanwhile, since this is also a software for entertainment, a score is given in order to evaluate, in a realistic way, personal skill improvement (sometimes, we need some gratification! :-D).

Regarding the file system, RufzXP makes the most out of the possibilities offered by the Framework: the whole software, configuration files included, is located into a single folder (no registry entries!) and it can be easily moved without any kind of limitation (anyway, the use of the specific install/uninstall software is recommended).

  1. Attempts folder: contains the data concerning single attempts (individual files);

  2. Backgrounds folder: contains RufzXP available backgrounds . The selected background is displayed when the main window is maximized

  3. Help folder: contains the help documentation (the present help file)

  4. Languages folder: contains translation files (one for each language)

  5. PrsData folder: contains the users’ personal data (individual files). They are used to register and publish the attained records on the official web site

  6. Personal callbase.txt: a personal callbase (showed only for demonstration purposes: it's not included in the official distribution)

  7. Config.rfz file: main configuration file

  8. Scoreboard.scb and ScoreBoard (Rufz32).scb files: two scoreboards showed only for demonstration purposes: they are not included in the official distribution. It's possible to use only one scoreboard at a time but you can register the attempts data to other archives, according to the circumstance.

  9. RufzXP.exe file: main program

  10. Microsoft.DirectX.dll and Microsoft.DirectX.DirectSound.dll files: libraries used to implement the DirectX technology.

RufzXP news

There are many innovations that will be discovered in the practice, such as:

  • Trainer mode

  • Possibility to create and use a personal callbase (for use only during a Contest or training session)

  • Possibility to use different scoreboards (individually)

  • Possibility to send personal records , directly or via local email client, to be published on the world-wide TopList

  • Possibility to create “ad hoc” contests and to store their settings (for later retrieval or to be shared with other users)

  • High configurability of available modes: in fact, it's possible to modify the main parameters of each mode, if no predefined limitations are presents

  • High configurability of main software options (hidden attempt, enabling or disabling sound effects, etc.)

Every single option is widely explained in the relative section.

RufzXP Software requirements

  • MS Windows 98, ME, 2000, XP

  • MS -NET Framework 1.1, or higher, redistributable version

  • MS DirectX 9, or higher, runtime version


AttemtpForm - Main window

Attempt Form - Main window

This is the main windows: here you can start an attempt, a training session or a contest (Contest or HST). You can also access the program tools, change the mode or read the help pages from the different menus.

The window is divided in 5 main parts.

The first part, called Current attempt, displays all data concerning the attempt and more precisely: :

  • Current score: total score attained

  • Wrong callsigns (or groups): number of wrong received callsigns or groups

  • Main or Trainer initial speed: speed (in cpm or wpm) selected to start the attempt

  • Max speed: maximum speed attained during the whole attempt (in cpm or wpm)

  • Min speed: minimum speed attained during the whole attempt

The second part, displayed only during an attempt, is divided in 2 sub-windows (left and right): the first shows transmitted callsigns, while the second shows received calls.

Of course, the latter highlights errors (unless the Hide attempt option is selected in the Option window to hide answer check. In this case, during HST and Contest mode, all windows will show only data concerning Current score and Time needed to answer: on the contrary, during TopList and Trainer modes, the windows will be completely hidden). A color code allows an immediate identification of the correctness or inaccuracy of the answer.

The third part, called Last callsign, shows instant data concerning the last transmitted callsign (or group) and more precisely:

  • Current speed: transmission speed of last callsign

  • Max points: the maximum score available in case of perfect reception of the last transmitted callsign (perfect means an error free reception performed in the shortest possible time). It's mainly based on transmission speed (quadratic influence) and, in the second place, on the length of the callsign or group (linear influence)

  • Gained points: score actually attained during the reception of the last transmitted callsign. This is based on the number of errors and on the time needed to answer (NB: like in the previous versions of the Rufz, 1 error reduces the score to 1/4, 2 errors to 1/9 and 3 errors to 1/16. New: in order to gain a score, at least the half of the characters must be correctly received. Otherwise, the acquired points are equal to zero. Moreover, there is a logarithmic reduction of the score due to answer time. Usage of F6 key (single retransmission of the callsign) halves the score)

  • Errors: number of errors made during the reception of last callsign (or group)

  • Time needed: time needed to receive and answer, computed from the end of transmission until the pressure of RETURN key (expressed in milliseconds)

The fourth part is used as a dialog window to input the required data, like user's callsign, initial speed and received characters or to switch on or off the VIGM mode: in the first half, during the attempt and according to VIGM mode, only the progressive number of the transmitted group (transmitted group:total groups) or main attempt values is displayed, while the second half is used for the user's input.

The fifth and last part contains the buttons allowing to start, stop (or pause) the attempt, close the program and modify transmission volume.

The following keyboard shortcuts are available:

  • ESC: stop (or pause) the attempt

  • PageUP: The volume is increased by 5 units

  • PageDOWN: The volume is decreased by 5 units

  • Shift + PageUP: volume at 50%

  • Shift + PageDOWN: volume at 50%

  • Shift + F4: program minimized in the task bar

  • Shift + F10: program immediately closed


Mode settings

AttemptForm - Mode settings

The RufzXP offers 4 main modes:

  • TopList

  • Trainer

  • Contest

  • HST

Thanks to the Settings menu, it's possible to edit the parameters of Contest and Trainer modes.


AttemptForm Menus

Attempt Form menu

Using the menus it is possible to access all RufzXP functions, as pointed out in the following tables:

Tools:

Start (F5)

Starts the attempt.

Last result (F3)

When active, it displays all data concerning the last attempt (rank, operator, score, errors, speed and a detailed list of all transmitted groups)

Scoreboard (F4)

Shows the content of the active database of records. It contains all data concerning the attempts performed, sorted by score and in one single line each.

International TopList (CTRL+F12)

Compare the best score local record with last International TopList results (automatically downloaded from RufzXP web site and locally stored). A "temporary rank" is immediately displayed. This menu item is visible only if the related option, inside the Option window, is checked.

Send record (F6)

This window allows to send personal records (top score) via Internet to be published in International RufzXP-TopList: records are recalled through user callsign (as specified before the attempt or in the Option window).

Password (F7)

Allows activating or deleting a password to protect the access of the program settings. This menu item is not active during Contest and HST modes.

Options (F2)

Opens the Option window: this allows modifying all RufzXP main options (see Options window).

Language (F9)

Opens the Language windows: this allows the selection of preferred language. During the first installation, it is activated automatically.

Exit (F10)

Closes RufzXP.

Mode:

TopList

Main mode. During the attempt, 50 callsigns, randomly selected from the main callbase, are sent: a percentage, ranging from 4% to 20%, is reserved to slashed callsigns (those containing the symbol "/").

Trainer

Mode recommended for a gradual improvement in Morse code reception. Through the Settings menu it is possible to select the characters to practice with, the length and composition of the transmitted group, the length of the session and the percentage of slashed callsigns, transmission speed, databases to be used and code weight.

Contest

Contest mode. Through the Settings menu, it's possible to select attempt length, percentage of slashed callsigns, maximum number of attempts allowed for a single user and databases employed (callbase and scoreboard). In this mode the use of personalized callbases is allowed.
Before starting the Contest mode, the activation of a password is required. This will be used to modify options, settings and to end mode.

HST

HST (High Speed Telegraphy) mode. This mode is used at official IARU HST championships. The attempt length is fixed (50 callsigns) as the percentage of slashed callsigns (10% = 5 calls).

Before starting the HST mode, the activation of a password is required. This will be used to modify options and to end mode.

Settings (F11)

Menu available only during Trainer, Contest and HST modes. This allows modifying specific options concerning the selected mode.

Sound (F12):

This menu is available only during Contest and HST modes.

It allows, during a contest, modifying all sound parameters (frequency, fade in and fade out and wave form).

Language:

English

This option, together with the Language menu, is available only during Contest and HST modes (otherwise, it is accessible from the Option window).

It allows selecting English language.

Other languages

This option, together with the Language menu, is available only during Contest and HST modes (otherwise, it is accessible from the Option window).

It allows selecting other languages, if available.

Help:

Rules (F1)

Shows the on-line help (this file).

Short instructions (F8)

RufzXP in a nutshell.

TopList

A link to the world-wide on-line TopList.

Web site

Official RufzXP website. You'll find all about RufzXP, including the latest version to download.

Mailing list

Official RufzXP software mailing list.

Contact authors (Email)

This menu item is visible only if a local email client is installed and properly configured (for example: Outlook, Outlook Express, Netscape, Eudora, Pegasus, Elm, Pine, etc.): in this case, allows to contact the authors (to report bugs, ask questions or share ideas) opening a pre-addressed message.

Contact authors (WebForm)

In case an Internet connection is available, allows to contact the authors (to report bugs, ask questions or share ideas) opening a predefined web form: otherwise, a short help message, showing the support email address, is displayed.

Check for updates

Opens the "Update scheduler". From this window, it's possible to set the checking interval (daily, weekly, monthly), the mode (manual, automatic, never) and to perform an immediate check (if an Internet connection is available).

Authors and credits

Curriculum vitae, photos and information about the RufzXP programmers and credits to the supporters.

Disclaimer

Shows the disclaimer.

About RufzXP

Shows the program version.

Mailing list:

Informations

Informations about RufzXP software mailing list (topic, how to subscribe, how to manage own account, etc., etc.).

Archive

A link to the archive of RufzXP mailing list. All the published messages are available on this page.

Post

This menu item is visible only if a local email client is installed and properly configured (for example: Outlook, Outlook Express, Netscape, Eudora, Pegasus, Elm, Pine, etc.): in this case, allows to write an article to the RufzXP mailing list opening a pre-addressed message.


Attempt Form - Status bar

According to the selected mode, the status bar of the main window (the lower part of the form), shows the following information:

TopList mode
  • Data concerning the callbase (total callsign number [simple calls - slashed calls])
  • Score: maximum score present in the active scoreboard
  • Speed: maximum speed present in the active scoreboard
  • Attempts: number of performed attempts recorded in the active scoreboard

Trainer mode
  • Used groups: groups of characters to use during the training session
  • Score: maximum score present in the active scoreboard
  • Speed: maximum speed present in the active scoreboard
  • Attempts: number of performed attempts recorded in the active scoreboard

Contest mode

The Status bar, for discretionary reasons concerning the new records obtained during the contest mode, is not displayed!

HST mode

 The Status bar, for discretionary reasons concerning the new records obtained during the HST mode, is not displayed!


Modes

RufzXP - Modes


Free contest mode

Contest mode

The free contest mode is implemented in order to let anyone create his own personalized contest model. The high possibility of configuration of this mode allows modifying every aspect of a contest: number of calls per attempt, percentage of slashed callsigns to be transmitted, number of attempts allowed for each participant, separated scoreboards and, above all, selection of personalized callbases.

The foundations of the contest, like for all RufzXP modes (except trainer mode), remain unchanged:

  • Variable speed, according to the usual Rufz rules;

  • Score calculation, according to the usual Rufz rules;

In particular, this version introduces some improvements to the contest management: for example, before starting the attempt, it's possible to carry out a reception test by selecting the Test button (placed between the Exit button and the volume control). After selecting the speed (fixed until the end of the TEST), the transmission of 5 callsigns begins. This moment is useful to take confidence with the keyboard and regulate transmission volume .

Starting Contest mode

Like for the activation of HST mode , first of all the creation and activation of a password is requested. This makes the access to significant parts of the program available only to authorized people. The password is requested in the following cases:

  • Access to the Option window (a reduced version, limited to sound setting, is always available pressing F12)

  • Access to the Settings window

  • Change of mode: in this case, the correct input of the password produce its cancellation (in fact, it is no more needed);

  • Exit the program

  • Start the program

When this procedure is successfully completed, as highlighted by the key placed on the top left corner of the window ( [image]), the mode is activated.

Specific features

During the Contest mode, the view of the attempt data isn't blocked by default: it's however possible to hide it by pressing the specific button or by selecting the appropriate control in the Option window . When the status bar is displayed, it never shows data concerning previously attained records. Moreover, pausing the attempt by pressing the ESC key is not allowed (this could be accidentally pressed), while you can stop the attempt by clicking on the STOP button.

Once finished, only the results concerning the last attempt are displayed (as usual, the attempt is performed according to the general rules ): on the contrary, the scoreboard , for discretionary reasons, is never displayed during the contest.

Scores obtained during this mode are not eligible for International RufzXP Toplist.

Settings

When the Contest mode is selected, it's possible to change its options through the Settings window (F11).

  • Load callbase; it's possible to load only a personalized version

  • Load scoreboard; it's possible to use any scoreboard

  • Tx per attempt: from a minimum of 10 to a maximum of 999 (default: 50)

  • Attempts per user: from a minimum of 1 to a maximum of 999 (default: 10)

  • Slashed calls (percentage): from a minimum of 0 (no slashed calls) to a maximum of 100% (only slashed calls)

  • Restore official callbase: if a personalized version has been previously selected, restore the Official callbase

  • Create new scoreboard: allow the creation of a new empty scoreboard

File Menu

Through this menu, it's possible to open or save the contest settings (to share or recall them):

  • Open retrieves and sets the previously saved options from a file

  • Save: saves the settings concerning a contest to a file


HST mode

HST (acronym for High Speed Telegraphy) is one of the official tests performed during the IARU HST championships. Its rules, like the others, are very simple:

  • 2 attempts per user, 50 transmitted callsigns (5 slashed and 45 simple) according to rules of IARU HST Championships;

  • Variable speed, according to the usual Rufz rules ;

  • Score calculation, according to the usual Rufz rules ;

In particular, this version introduces some improvements to the contest management: for example, before starting the attempt, it's possible to carry out a reception test by selecting the Test button. After selecting the speed (fixed until the end of the TEST), the transmission of 5 callsigns begins. This moment is useful to take confidence with the keyboard and regulate transmission volume . Moreover, it's possible to hide the progress data, before the attempt starts, by pressing the Hide Attempt button.

Activation of HST mode

Like for the activation of Contest mode , first of all the creation and activation of a password is requested. This makes the access to significant parts of the program available only to authorized people. The password is requested in the following cases:

  • Access the Option window (a reduced version, limited to sound setting, is always available pressing F12)

  • Change mode: in this case, the correct input of the password produces its cancellation (in fact, it is no more needed);

  • Exit the program

  • Start the program

When this procedure is successfully completed, as highlighted by the key placed on the top left corner of the window ( [image]), the mode is activated.

Specific features

During the HST mode, pausing the attempt by pressing the ESC key is not allowed (this could be accidentally pressed), while you can stop the attempt by clicking on the STOP button. Once finished, only the results concerning the last attempt are displayed (as usual, the attempt is performed according to the general rules ): on the contrary, the scoreboard , for discretionary reasons, is never displayed during the contest.

Settings

Because of given fixed rules in HST mode, settings are not available for this modality.


Trainer mode

This is one of the new modes available in RufzXP: through it, it's possible to practice by creating some ad hoc exercises or selecting specific characters which require reception improvement. The mode is selected through the appropriate item from the Mode menu, in the main window, and works exactly like a normal attempt (in the same way, it's possible to set a main callsign and the initial speed from the Option window).

Settings

Selecting the Settings item from the Mode menu (F11), the trainer settings window is displayed. Its use is very simple and intuitive but, anyway, a short description of its main elements will be given.

Character selection:

As you can see, on the left, 3 groups of characters are present: letters, figures and symbols. Their activation is determined by the Trainer mode control: in fact, as shown in the following table, through it it's possible to select the characters category (or mode) to practice on:

  1. RufzXP Mode: all 3 character selection lists are disabled

  2. Personal callbase: all 3 character selection lists are disabled

  3. Ham code: all 3 character selection lists are disabled

  4. HST mixed mode: all 3 character selection lists are disabled

  5. Letters: only the first list is active

  6. Figures: only the second list is active

  7. Symbols: only the third list is active

  8. Letters & figures: the first and second lists are active

  9. Letters & symbols: The first and third lists are active

  10. Figures & symbols: The second and third lists are active

  11. All: all 3 lists are active

3 buttons are available for each character selection from point 3 to point 9:

  • All: select the whole list content

  • None: deselect the whole list content

  • Invert: invert selection

Attention: to validate the selection, at least 2 characters must be chosen (in fact, it's impossible, and useless, to practice on a single char).

Trainer mode:

It's possible to select one of the following 11 modes for the training session:

  1. RufzXP Mode: like during the TopList mode, some callsigns are randomly selected and transmitted from the main callbase. Consequently, most options are disabled: anyway, it's possible to set up attempt length , Scoreboard , Morse weight and Speed

  2. Personal callbase: similar to the previous one but with a fundamental difference: it's possible to create a personal callbase containing the callsigns (or groups) to be transmitted. The available options are: Load callbase , Load scoreboard , Speed , Attempt length , Slashed calls % and Morse weight

  3. Ham code: to improve the "real world" CW reception, the commonly used abbreviations are sent during the training session (excerptions from Q code and 92 code also included)

  4. HST mixed mode: the character requested during the HST competitions are selected: 26 letters (all), 10 figures (all) and 5 symbols (/.=,?)

  5. Letters: from the first list you can select the letters to be used during the training session

  6. Figures: from the second list you can select the figures to be used during the training session

  7. Symbols: from the third list you can select the symbols to be used during the training session

  8. Letters & figures: from the first and second list you can select the letters and figures to be used during the training session

  9. Letters & symbols: from the first and the third list you can select the letters and symbols to be used during the training session

  10. Figures & symbols: from the second and the third list you can select the figures and the symbols to be used during the training session

  11. All: from any list you can select letters, numbers and symbols to be used during a training session

Group length:

Defines the length of the groups to be transmitted during a training session; there are 2 options:

  • Fixed: every group will be generated exactly of the requested length (easier)

  • Variable: every group will be of variable length (it's possible to set the upper and lower limit) (harder)

Group composition:

This option is available only if at least 2 lists of characters are selected. It defines the composition of single transmitted groups:

  • Mixed: the groups of selected characters are mixed (shuffled) within a single group (for example, letters with numbers, symbols with numbers, etc.)

  • Separated: a single group can contain only characters belonging to the same selection (letters only, numbers only or symbols only)

Example of a mixed selection of 5-character (letters and numbers) groups:

AE4F7 3HJU0 TG2DB 897D5

Example of a separated selection of 5-character (letters and numbers) groups:

AEFHT 89765 FFJEP DJJNM 77463

Speed:

Defines the speeds table computation during a training session and the speed calculation:

  • Fixed: the speed is not recomputed. Every single group will be transmitted using the speed set from the Option window

  • Variable: the speed is increased or decreased according to Rufz general rules (based on errors)

  • Incremental: the speed is increased, according to RufzXP general rules, in case of correct reception but, in case of errors, it remains fixed (not decreased)

  • Speed increment: linear or percentage (form 1% to 5%). Defines the gap between the values, inside the trainer speeds table.

Database management:

Through this buttons, it's possible to select the callbase and the scoreboard. The single options are available, or not, according to the selected Training mode (for example, the Load callbase button is available only if the Personal callbase training mode is selected).

Attempt length:

Through this control you can select the number of groups transmitted during a session, from a minimum of 10 to a maximum of 9999 (default: 20).

Timer:

If checked, the training session will be time limited. During the attempt, a chronometer will be displayed and, as soon as the preselected time expires, the attempt will be stopped.

Minutes:

Time limit to complete a training session (1-59 minutes).

Slashed calls:

Through this control, only if the Personal callbase mode is active, it's possible to select the percentage of slashed callsigns transmitted during the session. The percentage must be coherent with the real proposed callbase content (if, for example, the available percentage of slashed callsigns is 10%, it's impossible to select an higher value): anyway, the software prevents this exception setting automatically the selectable limit, based on the loaded callbase.

Morse weight:

The Morse weight is the ratio of dots, dashes and spaces used to separate 2 words. The measure is always the dot and RufzXP offers the following weights:

  • 1:2:5 (Hard)

  • 1:2:7

  • 1:3:5

  • 1:3:7 (Predefined: this is the weight used during the TopList and HST modes)

  • 1:4:5

  • 1:4:7 (Easy)

For example, this is the meaning of 1:3:5:

  • Dot: 1 unit (1 dot :-) )

  • Dash: 3 units (3 dots)

  • Space between words: 5 units (5 dots)

Selection buttons:

They are 4 and their use is very intuitive:

  • New scoreboard: creates a new empty scoreboard

  • Restore official callbase: if a personalized version has been previously selected, restore the Official callbase

  • OK: confirms the selections, closes the settings window and returns to the main one

  • Cancel: closes the settings window and returns to the main one without saving the hypothetical selections (as a consequence, every single change will be lost)


Secondary windows

RufzXP - Secondary windows


Results form

Results window

This window shows the data concerning an attempt and is automatically displayed as soon as the attempt is completed; moreover, it is possible to recall this window directly from the scoreboard (double-clicking the row concerning the required attempt).

The window is divided in 2 parts; the first on the left displays the global data: the second displays data concerning every single transmitted attempt, or group.

Rank (only in TopList mode)

Errors done during the reception of a single callsign (or group)

Transmitted callsign (the eventual retransmission, by pushing F6 key, is signaled by a red dot)

Received callsign (the errors are highlighted using a color code)

Single callsign transmission speed

Maximum points available for a single callsign

Actually gained points

Time needed to receive (in milliseconds)

Frequency used during the transmission (in Hertz)

Operator

Score

Wrong callsigns (or groups)

Maximum speed reached during the attempt

Minimum speed reached during the attempt

On the contrary, during the contests data concerning rank are not displayed.

Double clicking a line (or pressing the return key while a line is selected) retransmit the highlighted callsign (or group).

File menu

Through the file menu, it's possible to print and export data concerning the selected attempt.

The printing options are standard: in fact, it is possible to choose the printer, to set up the type of paper and the margins and, finally, to view the page preview.

It's possible to export data in 3 different formats:

  • RTF (Rich Text Format): data are exported maintaining the page format (the use of landscape orientation is recommended) and the color code to show errors

  • TXT (Text): data are exported to a text file, using the vertical bar "|" as field separator

  • CSV (Comma Separated Values): data are exported in the CSV format (normally used, for example, by Excel or by most calculation sheets)

Displaying modes

Through this menu switch, it's possible to display the whole attempt or limit it to the wrong received callsigns. This menu item is available only if the attempt contains, at least, one receiving error.


Scoreboard

Scoreboard window

As you can easily guess, this window shows the general rank contained in the active scoreboard. According to the settings specified in the Option window , it's automatically displayed or not, at the end of every attempt.

In the upper part, the following data are displayed:

  • Top Score: the highest score contained in the active scoreboard

  • Top Speed: the highest speed contained in the active scoreboard

  • Total attempts: number of attempts contained in the active scoreboard

In the central part, data concerning the attempts are shown: every line corresponds to an attempt and the following values are displayed:

Rank: position in the general classification

Callsign: personal callsign of the user who performed the attempt

Score: points obtained during the attempt

Max speed: Maximum speed reached during the attempt

Attempt: progressive number of the performed attempt

Date: date of the performed attempt (the time is recorded but not displayed)

In the lower part of the window are presents the controls used to filter the data (selective view), to send and delete the selected records.

Selecting Records

It's possible to select one or more records using the standard method implemented by Windows systems:

  • Single selection: highlight the record with the colored bar, using the keyboard (cursors) or mouse

  • Multiple serial selection: highlight the first record you wish to select and, while pressing the SHIFT key, click on the last record of the interval you want to select

  • Multiple selective selection: while pressing the CTRL key, click on the records you wish to include in the selection

If you wish, you can combine the multiple selections.

NB: if you click on a selected record, or press the return key, the specific data of the highlighted attempt (if available: see options ) will be displayed in the scoreboard window .

Removing records

If you click on the Delete record button, placed at the left bottom, selected records can be deleted. Once confirmed, the attempt is completely removed from the active scoreboard.

Sending records

This is one of RufzXP news; the Send record button recalls a dialog window , which allows sending single selected records (the multiple selection is not allowed: in any case, the first highlighted record would be sent). For all details, see the specific section .

Callsign filter

Also this function is very easy to use; when you open the list, you can choose the user's callsign: all the records concerning this call will be displayed. On the contrary, if you select the ---Whole list--- item, the whole content of the scoreboard will be displayed. Of course, this control is active only when more than one callsign is present in the active scoreboard.

File menu

Using this menu it's possible to import a scoreboard, export data concerning the selected attempt (or, using a multiple selection , several attempts), select the whole archive and print records.

Import a scoreboard (F2)

It's possible to import any existing scoreboard, generated by RufzXP or by a previous version (file RUFZTOPL.TXT). The main difference is that the records generated by the previous versions (for example, Rufz32) are not accepted by the general classification published on the internet: to underline this limitation, the data concerning these attempts are displayed using a grey color (inactive record).

Export attempt data (F3)

It's possible to export to a scoreboard (*.scb, *.csv or *.txt file) the data concerning the selected attempt (or, using a multiple selection , several attempts). The destination scoreboard, if exists, will be overwritten.

Export whole list (F11)

It's possible to export to a scoreboard (*.scb, *.cvs or *.txt file) the data concerning all the attempts (the whole scoreboard). The destination scoreboard, if exists, will be overwritten.

Callsigns filter (F4)

Shortcut to the callsigns filter list.

Invert selection (CTRL + F5)

Thanks to this menu, it's possible to invert the selection of records (selected <> unselected).

Select all - Deselect all (F5)

Thanks to this procedure, the whole list present in the scoreboard can be selected; the opposite function is also available: as soon as the whole list has been selected, it's possible to deselect it completely with the same function (in this case, the menu item is changed to Deselect all).

International TopList (CTRL+F12)

Thank to this menu, it's possible to compare a selected record with the International TopList results: the temporary rank is displayed. The list is automatically downloaded (and locally stored for later usage) from RufzXP web site and, as soon as it expires, a new one is retrieved (if an internet connection is available). This menu item is visible only if the related option, inside the Option window, is checked.

Send record (F6)

This window allows to send personal records (top score) via Internet to be published in International RufzXP-TopList.

Print - Page setup - Print preview (F7 - F8 - F9)

These 3 menus correspond to the standard printing functions, available in most existing software; in fact, it's possible to select the printer, to set the page margins, the orientation and the kind of paper. A print preview is also available.

Exit (F11)

Close the scoreboard window.

"Scoreboard mode" menu

Thanks to this menu, it's possible to choose how the records present in the active scoreboard are displayed.

There are 2 options available, easy to use and understand:

  • Show all scores

  • Show best score of each callsign: shows the requested number of scores for each callsign, selecting among the best available

  • Choose records per callsign: allows selecting the number of records to be displayed: this menu is available (and visible) only if the previous option is active.


Send record

Send record window

This is one of the new features of RufzXP. Through this dialog window, in fact, the attempt selected in the scoreboard window can be sent directly via internet, or via the default email client (like Outlook Express, Eudora, Pegasus, Pine, etc.)., to be published in the International RufzXP Toplist.

The main attempt data (user's callsign, maximum score and achieved speed) are displayed in the two labels placed in the top left of the window.

The dialog window is divided in 2 parts:

  1. The upper part contains the fields required to maintain the RufzXP Toplist database

  2. The lower part, labeled User's email information, contains the fields required to send the record directly via a SMTP server

TopList call

Sometimes the callsign/username registered at International RufzXP Toplist is different from the call used to perform a new record: in this case, the specification of callsign/username in this field ensures a correct record registration (max length allowed: 8 characters).

Birth date

The user's birth date is necessarily required; this detail, used exclusively for classification purposes, will be used to determine the user's category.

Title

OM or YL; this detail, like the previous one, will be used to determine the user's category

Name

Not obligatory field used to specify the user's name

Surname

Not obligatory field used to specify the user's surname

Remarks

Not obligatory field used to include a message in the email

Image

One of the new features, available only through the RufzXP SMTP server , is the possibility to send the user's picture to be published on the internet. The image, chosen through the Select image button, must not exceed 100 KB and should be vertically oriented (256 pixels high).

Once posted, the image is labeled Sent and, above all, the Send control is unchecked: to send a new picture (to replace the old image with a recent one, for example), it's necessary to recheck this checkbox. The Clear image button, as you could easily guess, clears the selected image without removing it from the hard disk!

All these options concerning the picture are available only if the record is sent directly from RufzXP . On the contrary, all these controls and the hypothetical image previously selected will be disabled: anyway, a picture can be attached to the email through the local email client.

User's email information

These fields are necessary in order to allow the direct sending.

  • Email: the user's email address is requested, using the well known format username@domain

  • SMTP Server: is the outgoing mail-server. It's the same server specified in the local client options (like Outlook Express, Pegasus, Eudora, Pine, etc.)

  • Port: is the port used to connect to the SMTP server. Usually it's the number 25 but, if necessary (anivirus software, firewalls, lan, etc., etc.), it's possible to specify a different one

  • Authentication protocol: protocol used in case an authentication procedure, to connect to the SMTP server, is required

    • No authentication: no authentication procedure is performed

    • Basic (clear text): a basic "clear text" procedure is performed. The username and the password are sent without encryption
    • NTLM: the username and the password are sent to the server using the NTLM system
  • Username: name used during the authentication procedure
  • Password: password used during the authentication procedure

  • Use local email client: allows choosing the send record mode. Selecting this option, the local email client will be started and a predefined message shown: the email will be sent during the following session, upon a user’s request. In case no default email client is registered on the system, this option will not be available!

  • Use specified SMTP server: allows choosing the send record mode. Selecting this option, the previously selected record can be sent directly from RufzXP (an active internet connection is required)

  • Use a WebMail service: allows choosing the send record mode. Selecting this option, a window will be opened and a predefined message shown: the email can be copied to the clipboard (via the specific button) or "dragged & dropped" to a webmail form.

Control buttons

Send record

The pressure of this button starts the sending procedure of the selected record: direct, if it the use of the RufzXP SMTP server has been selected or, otherwise via the local email client. Before starting the procedure, the program tests the consistency: in case of errors or inconsistency, a dialog window helps the user to solve the problem.


International TopList Form

International Toplist Window

Here, it's possible to show the international records, divided by categories according to IARU rules; personal records (presents within the active scoreboard) are automatically virtually inserted and compared to the International Toplist content. Personal Data are stored locally only and won't be automatically sent for publishing at RufzXP website.

Personal records, if presents, are inserted within the list only for comparing purposes and only locally: no record will be automatically sent to www.RufzXP.net for publishing!

The window is divided in 4 main parts:

  • International Topscore list: shows callsigns and related score record published on www.RufzXP.net (the maximum speed acquired during the “TopScore attempt” is also displayed). Website records are displayed in black, website records achieved by users in an expired age category in gray, new website entries in bold black and local records in bold red;

  • International Topspeed list: shows callsigns and related speed records, over 350 cpm (70 wpm), published on www.RufzXP.net (the maximum speed is of any attempt made by the user);

  • Top scorers images: shows photos of top scorers. Images are stored on RufzXP web site and can be downloaded from this window. In case an updated image is available, RufzXP warn the user to download it: on the contrary, if an image is removed from main web site, it'll be deleted automatically from the local hard disk;

  • News: shows weekly messages and informations from RufzXP website (if available);

As soon as the window is opened, RufzXP checks for a local International TopList archive: in case it's not present or the release it out of date, a new one is downloaded from main RufzXP website (only if an Internet connection is available). Usually, a new list is released every Monday around 20:00 UTC.

Categories

An age category is to be selected to display. Local records, belonging to requested category, are automatically inserted and marked in red color. If double clicked, the related personal informations are displayed.

User data for classification

Through these controls it's possible to set user birthdate and title (OM or YL): user data are used for classification purposes only and won't be published! In case the displayed category is not coherent with new inserted data (age out of limits or incoherent title), it'll be changed.

Secondary controls

  • Download all available pictures: if pressed while on-line, all available pictures from RufzXP main website will be downloaded ;

  • Download International Toplist: if pressed while on-line, forces an immediate check for the International Toplist: in case a new release is present, RufzXP downloads it;

  • Download new image: this button is visible only if a top scorer image is available on RufzXP web site. If pressed, download the requested photo;

  • Cancel: if pressed, closes the International Toplist window without saving: birthdate and title changes, if any, will be cancelled;

  • Exit: if pressed, all new personal data are confirmed and saved: at the end, the International Toplist window is closed;

Window File Menu

  • Download all available pictures: if pressed while on-line, all available pictures from RufzXP website will be downloaded;

  • Download International Toplist: if pressed while on-line, a check for the International Toplist will be performed: in case a new release is present, RufzXP downloads it;

  • Cancel: if pressed, closes the International Toplist window without saving: birthdate and title changes, if any, will be cancelled;

  • Exit: if pressed, all new personal data are confirmed and saved: at the end, the International Toplist window is closed.


Option Form

Option Window

This is the main option window: here you can configure all RufzXP parts.

The window is divided in 4 main parts:

  • Sound controls: wave form definition and sound card selection

  • Default values: default callsign, scale (CPM or WPM) and initial speed

  • General options

  • Secondary controls

Sound controls

Through these controls it's possible to define each parameter concerning the wave form used during the transmission. In particular:

  • Frequency: the value can be selected from 650 to 1200 Hz and indicates the range center of 400Hz of amplitude. The transmission frequency will be selected within this range. By pressing the button placed immediately below the control (where the frequency is shown), the middle (MM), lower (LL) and upper frequency (UU) will be transmitted in this sequence. Press the control again to stop the transmission.

  • Fade in: shows the time, expressed in milliseconds (from 0.0 to 0.7), employed to soften the attack of sound. Useful in presence of dated computers or old sound cards: in this case, a higher value can prevent the creation of clicks (disturbs of sampling). By pressing the button placed immediately below the control, a sequence of "V" will be transmitted.

  • Fade out: shows the time, expressed in milliseconds (from 0.0 to 0.7), employed to soften the decay of sound. Useful in presence of dated computers or old sound cards: in this case, a higher value can prevent the creation of clicks (disturbs of sampling). By pressing the button placed immediately below the control, a sequence of "V" will be transmitted.

  • Volume: the value can be selected from 0 to 100 (default: 50). By pressing the button placed immediately below the control, a sequence of "V" will be transmitted.

  • Wave form: allows selecting between 3 different forms: Sinusoid, Saw tooth and Square. The reading of a specific text for the definition of these wave forms is recommended.

  • Sound card: allows selecting the audio device used to transmit: the internal speaker is also supported (in this case, the volume and fade controls are disabled).

Default values

The default values concern the main callsign, the scale used to show the speed and also the initial speed.

  • Main callsign: is the main callsign used anytime a specific one is not given. For example, unchecking the Ask callsign option, the callsign will not be asked at the beginning of the attempt: instead, the main one will be used to record the attempt in the active scoreboard. Max length allowed: 8 characters.

  • CPM or WPM scale: this button allows changing the speed scale used by RufzXP (from CPM to WPM and vice versa): all data concerning the speed will be displayed using the requested scale.

  • Initial speed: is the speed used to start an attempt, unless explicitly requested. According to the selected mode, defines two speed values: one relative to TopList, Contest and HST modes and the other to the training sessions.

General options

General options concern the attempt and, in general, the program; a detailed description follows:

  • Save attempt: if checked, at the end of every attempt a file, containing its full data , will be saved inside the directory Attempts. In this way, it will be possible to recall them at any moment through the Scoreboard window .

  • Hide attempt: if checked, during the TopList and Trainer modes the attempt data fields will be hidden: on the contrary, during HST and Contest modes the current score and speed fields will be displayed. The status bar is always not visible.

  • Splash screen: when starting the program, a welcome window (the splash screen) will be shown or not.

  • Show scoreboard: if checked, at the end of every attempt (except during Contest or HST modes) the scoreboard will be displayed: on the contrary, only the results concerning the last attempt will be shown.

  • International TopList: if checked, enable the International TopList support (menu items in main and Scoreboard windows).

  • Network client: if checked, enable the RufzXP network client (to connect to a RufzXP server during on-line contests).

  • Fast close: if checked, the program will be immediately closed upon request: on the contrary, RufzXP will ask for another confirmation.

  • Sound effects: if checked, RufzXP will generate a sound every time a command is confirmed (sending a K) and when the program is closed (sending the 73 :-) ): on the contrary, no signal will be transmitted.

Secondary controls

Secondary controls are Default, Discard and OK buttons.

  • Default: if pressed, all the fields are immediately restored to the default values.

  • Cancel: if pressed, all the last changes are cancelled and the Option window is closed.

  • Ok: if pressed, all the displayed values are confirmed and saved: at the end, the Option window is closed.

Option window Menus

File Menu

There are 7 sub-menus:

  • Test: transmits the message "VVV TEST TEST AR" to test the settings

  • Default: restores the default values

  • Canced: cancel all the last changes and closes the Option window.

  • OK: confirms and saves all the displayed values: at the end, the Option window is closed.

  • Save wave file: after a confirmation, it generates and saves on the hard disk a file in wave format; it contains a series of predefined messages (the word PARIS, to be exact) repeated for the duration of approx. 1 minute: in this way, it's possible to test the absolute time precision of signals generated by RufzXP, analyzing the file with a specific software (or hardware).

  • Save: saves all values of displayed option on the hard disk

  • Save and Exit: when all the displayed values are saved on the hard disk, the option window is closed.

Settings menu

  • Change background: offers the opportunity to change the background displayed during the attempts (the image is visible only if the main window is maximized).

  • Set slash key: offers the opportunity to set the slash key ("/"). Useful in case of particular keyboards layout.

  • Set password: a procedure for the insertion, change or cancellation of a password is started. This button is not active during Contest or HST mode

Language menu

Its use is simple and intuitive: selecting the appropriate menu item, corresponding to a file present in the Language folder, the main language is changed. Anyone who wish to contribute to RufzXP project, translating it in his own language, is kindly asked to contact the authors .


General informations

RufzXP - General information


Errors color code

To allow an immediate identification of the correctness or inaccuracy of the answer, the following color code rules are used:

Error | red color
Missing character | blue color
Extra character | yellow color

Some examples:

The transmitted callsign, or group, has been received correctly: no wrong characters.

1 wrong character during the callsign (or group) reception.

2 wrong character during the callsign (or groups) reception

3 wrong character made during the callsign (or groups) reception

In this specific case, the absence of a character in reception is highlighted.

An extra character has been received.


Personal callbase - Format

Personal callbase

Among the numerous innovations, RufzXP allows using a personal callbase during Contest and training sessions . Its format will be briefly described together with some advice to fill it up.

Important: scores based on private callbases are not eligible for International RufzXP Toplist.

The personal callbase is a simple text file (the extension is not important but the default one .txt is recommended). It can be easily generated also with the Windows notepad, where the callsigns (or groups) to be transmitted are specified one per line.

For example:

IV3XYM DL4MM IV3NCC DL4MM/P DL2OBF IV3AJT A4/IV3NCC

Once the file saved with any name (a descriptive name like contest2005.txt, trainer2004.txt, etc, is recommended), it's possible to use the callbase during a Contest (not HST ) or during a trainer session .

Attention to the slashed callsigns! Although there is no problem in creating them, always remember that, for a contest or a training session where a certain percentage may be desirable, you should add a sufficient number of slashed calls in the database. For example, if you wish a 5% slashed calls out of a 40 total transmitted (per attempt or session), you must add in the list at least 2 complex calls.


Password form

The procedure to activate, insert, modify or delete a password is compliant with the standard usually employed by any program implementing its usage.

Password request: 3 attempts are allowed to provide the correct password. To confirm, click on the Ok button.

Set password: a double insertion of the password is requested (the length must be between 6 and 10 characters). In case the second entry retyped for confirmation is correct (the strings are equal), the password will be activated by pressing the Set password button.

Clear password: it's possible to clear the password using two procedures:

  • the first one is very simple: if both fields are completely blank, the Clear password button is available for cancellation;

  • the second procedure is identical to the one used to activate the password (before starting, the insertion of the password to be canceled is requested) with one substantial difference: the fields must be left completely blank. Once the absence of a new password is noticed, the RufzXP starts the cancellation of the previous one: by pressing the button Clear password, cancellation is confirmed.


V.I.G.M. Mode

(Visual Impaired Graphic Mode)

This mode has been especially written for visually impaired users; main values, during the attempt, are reported also on the progress bar (on right side of main prompt) allowing a perfect readability for specific hardware, like screen readers (Braille bars). Values reported are the following:

  1. Progressive call number : attempt length

  2. Score

  3. Wrong received callsigns number

  4. Max attempt speed (the scale is not reported)

  5. Actual speed (the scale is not reported)

If the Hide attempt option is checked, only the progressive call number and the score are displayed.

The mode can be actived in two ways:

  1. From command line, with the line option -vigm (ex. RufzXP - vigm). In this way, RufzXP starts in VIGM mode.

  2. From the command prompt; starting an attempt, instead of inserting the own callsign, it's possible to write the following commands:
    VIGMON (to switch VIGM mode ON)
    VIGMOFF (to switch VIGM mode OFF)


HAM Code

161 | Best Regards and Love & Kisses (73 + 88) |
33 | Fondest Regards |
55 | Best Success |
73 | Best Regards |
88 | Love & Kisses |
A | Short hand for the number 1 |
ABT | About |
AGN | Again |
ANS | Answer |
ANT | Antenna |
B4 | Before |
BC | Broadcast |
BCNU | Be Seeing You |
BD | Bad |
BK | Back or Break |
BN or BEN | Been |
BTU | Back To You |
BURO | QSL Bureau |
C | Correct |
CB | Callbook or Citizen Band |
CBA | Call Book Address |
CFM | Confirm |
CL | Closing Station Down |
CLG | Calling |
CLR | Clear |
CONDX | Conditions |
CONGRATS | Congratulations |
CPY | Copy |
CQ | General Call for a QSO (Contact) |
CUD | Could |
DE | From (eg... W3AA de W3DF) |
DR | Dear (Used by overseas Hams for Sir, Mister) |
DSW | See You Again (Russian) |
DWN | Down |
DX | Long Distance Contact, or a Rare Station |
EL | Element (as in 3 EL Yagi) |
ENUF | Enough |
ES | And |
FB | Fine Business (Ham jargon for very good) |
FD | Field Day |
FER | For |
FIST | Unique characterisitc of an operater's sending of CW |
FONE | Phone (as in AM or SSB) |
FM | From |
FQ, FREQ | Frequency |
GA | Good Afternoon or Go Ahead |
GB | Good Bye |
GD | Good or Good Day |
GE | Good Evening |
GG | Going |
GM | Good Morning |
GN | Good Night |
GND | Ground |
GP | Ground Plane |
GUD | Good |
HAM | Amateur Radio Operator |
HC | Home Call |
HI | Laughter on CW |
HNY | Happy New Year |
HPE | Hope |
HR | Here or Ham Radio |
HV | Have |
HVY | Heavy |
HW, HW? | How, or How Do You Copy Me? |
II | I Repeat |
INV VEE | Inverted Vee |
JA | Japan |
JMP | Jump |
K | Please Transmit |
KN | Only the station I am working should transmit |
KNW | Know |
LID | Poor Operator |
LP | Log Periodic (type of directional antenna) or Long Path |
LSB | Lower Sideband |
LW | Long Wire (type of antenna) |
MGR | QSL Manager |
MNI | Many |
MSG | Message |
MULT | Multiplier |
N | No or the number 9 |
NIL | Nothing Heard or No Copy |
NR | Near or Novice Round Up |
NW | Now or North West |
OB | Old Boy |
OC | Old Chap |
OM | Old Man (Ham jargon for an experienced operator) |
OP | Operator, or Name |
OPR | Operator or Operate |
OT | Old Timer (A long time HAM) |
PSE | Please |
PWR | Power |
PO | Power Output |
PFX | Prefix |
QRA | The name of my station is ... | What is the name of your station?
QRB | The approx. distance between our stations is ... | How far approximately are you from my station?
QRK | The readibility of your signal is: (1) Bad, (2) Poor, (3) Fair, (4) Good, (5) Excellent | What is the readibility of my signal?
QRL | The frequency is busy | Is the frequency busy?
QRM | Your transmission is being interfered with | Is my transmission being interfered with?
QRN | I am troubled by static | Are you troubled by static?
QRO | Increase power | Should I increase power?
QRP | Decrease power. Also used to designate a station using low power | Should I decrease power?
QRQ | Send faster | Should I send faster?
QRS | Send slower | Should I send slower?
QRT | Stop transmitting | Should I stop transmitting?
QRU | I have nothing for you | Have you anything for me?
QRV | I am ready | Are you ready?
QRX | Please standby for ... | Should I standby?
QRZ | You are being called by ... | Who is calling me?
QSA | The strength of your signal is: (1) Barely perceptible, (2) Weak, (3) Fair, (4) Good, (5) Excellent | What is the strength of my signal?
QSB | Your signal is fading | Is my signal fading?
QSK | I can operate break-in | Can you operate break-in?
QSL | I acknowledge receipt | Do you acknowledge receipt?
QSO | I can communicate with ... | Can you communicate with ...?
QST | General call preceding a message to all amateurs |
QSX | I am listening on ... | Will you listen on ...?
QSY | I will change my transmit frequency | Should I change my transmit frequency?
QTC | I have traffic for you | Do you have traffic for me?
QTH | My location is ... | What is your location?
QSLL | QSL 100% (Term used by overseas hams) |
R | Message Received or Correct |
RCV | Receive |
RCVD | Received |
RCVR | Receiver |
RIG | Equipment |
RPRT or RPT | Report or Repeat |
RX | Receiver |
SHUD | Should |
SIG | Signal |
SK | This is my last transmission |
SKED | Schedule |
SN | Soon |
SNW | Snow |
SP | Short Path |
SRI | Sorry |
STN | Station |
SWL | Short Wave Listner |
T | Short hand for the number Zero |
TEMP | Temperature |
TEST | Contest |
TFC | Traffic |
TIL | Until |
TKS | Thanks |
TCVR | Transceiver |
TT | That |
TU | Thank You |
TX | Transmitter |
TNX | Thanks |
U | You |
UFB | Ultra Fine Business (Ham jargon for very good - excellent) |
UR | Your |
USB | Upper Sideband |
VERT | Vertical Antenna |
VY | Very |
W | Watts |
WATSA | What'Cha Say |
WID | With |
WK | Work |
WKD | Worked (Ham jargon for making a contact with a station) |
WKG | Working |
WL | Will |
WPM | Words Per Minute (a measure of code speed) |
WRK | Work |
WUD | Would |
WX | Weather |
XCVR | Transceiver |
XMTR | Transmitter |
XTAL | Crystal |
XYL | Wife |
YF | Wife |
YL | Young Lady |
YR, YRS | Your or Year, Yours or Years |
Z | Zulu, GMT, or UTC Time |
ZZ | Sleep |


RufzXP F.A.Q.

In this section you will find some answers to the most common questions: in case you cannot find the solution you are looking for, please write to the authors .

What is the goal of RufzXP? | This version of Tancredi-RufzXP, like the previous one, has been developed to provide an adequate tool to all those who wish to improve their performance in Morse code reception in a considerable way.
What is the difference between the XP and the 32 version? | Due to multitask limitation, the previous version could be used only in a pure Dos environment or with an emulator (the DOSBox , even though computer processor fastness was a necessary prerequisite): this version, instead, works perfectly with Windows, starting from the 98 version.
Which libraries or additional programs, does RufzXP need in order to work? | Like most of the new generation software, RufzXP needs the Framework 1.1 (or higher) redist version: if it's not present in the system, download it here. The DirectX 9 (or higher) are also necessary and must be installed on the system (click here to download).
I created a new configuration in contest and i would like to duplicate it to other computers: is this possible? How? | Sure it is! :-) During Contest mode, open the Settings window (Settings menu of the main window), click on File menu and select Save to store the configuration in a file. Vice versa, this file can be used to configure other computers via the Open menu item.
When I try to enter an initial speed value, the program automatically changes it: what's going on???? | Nothing to worry about! :-) The inserted value is not present in the speed list: in this case, RufzXP rounds it to the nearest one.
Sometimes it is not appropriate that others can see me running RufzXP. Is there a possibility to quickly hide the program? | During an attempt, if you press simultaneously the SHIFT and F4 keys (SHIFT+F4) the eventual transmission stops, the program is minimized and is visible on the Task Bar as a notepad icon ;-) Another click on this icon resumes the attempt (the callsign, if sent only once, is retransmitted). There is also the possibility to completely and immediately abort the program with SHIFT+F10.
Today, i've gained an amazing score during a free contest and i would like to see it published on the International RufzXP Toplist. I'm trying to send it but i cannot find the way: please, could you help me? | Sorry: we can't. Due to the variable settings of Contest mode, it's impossible to guarantee the reliability of acquired score; for this reason, in the International RufzXP Toplist will be published only records obtained during TopList and HST modes.
I haven't an internet connection at home (but there's a wonderful internet coffee just around the corner ;-) ): how can i send you a record? | Selecting the Use a WebMail service option from the Sending window. As soon as the Send button is clicked, a form, showing all the record data, opens: now, it's possible to copy its content to the system clipboard or drop it directly to another web form (or, if you wish, to a text note: once saved, it'll be easy to send the record to the International RufzXP TopList website from the internet coffee. ;-D)
I found an error while using RufzXP and/or have ideas to improve the software: to whom should I report it? | Please write to the authors : as soon as possible, the program will be fixed and a new version will be released. Attention: when reporting, always send the greatest possible number of details about the error occurred (operational system, mode, used databases, etc.). Ideas and critics are welcome too, and might be incorporated in future updates.
I wish to help the RufzXP project by translating the program (or the documentation): how? | First of all, write to the authors. In case the translation is not already in progress, all the necessary documentation will be sent.
Why "Tancredi"? | A full page is devoted to this question: click here to read :-)


Legenda

Legend

The following list explains the most recurring terms in the RufzXP documentation:

Attempt

Standard procedure of RufzXP competition: regardless of the mode, it corresponds to Morse code transmission-reception and consequent score attribution

Callbase

Database containing simple or slashed callsigns or groups randomly transmitted by the RufzXP during the attempt. The archives supplied with the program contain more than 50000 unique callsigns (all callsigns are real callsigns, i.e. no artificial calls are included)

Contest

Contest where all options can be configured by the user

CPM

Chars Per Minute: one of the two measures of Morse code transmission speed. It corresponds to the number of characters, contained in the word PARIS, transmitted in 1 minute (NB: CPM = WPM * 5)

HST Mode

Contest with predefined rules

Initial speed

The initial attempt speed (Main or Trainer), expressed in cpm or wpm

International RufzXP TopList

A web-based world-wide toplist, published weekly, where RufzXP users can mail their scores to compare each other.

Options

General parameters of RufzXP

Own callsign

The callsign usually assigned to every amateur radio station. Max length allowed: 8 characters.

Record

According to the context, it can have two meanings:

  1. Maximum score or maximum speed

  2. Data concerning a single attempt (single line), referring to the scoreboard

Scoreboard

Database containing data (score, errors and acquired speeds) concerning all the attempts performed with RufzXP

Settings

Parameters of a single RufzXP mode

Simple callsigns

Callsigns without slashes "/"

Simple groups

Groups of character without slashes "/"

Slashed callsigns

Callsigns including at least 1 slash "/"

Slashed groups

Groups of characters including at least one slash "/"

Speed limits

This version of rufz is well beyond any speed limit reached by the previous versions: the upper limit has been fixed to 4018 cpm (803 wpm) and the lower to 40 cpm (8 wpm). Of course, at very high speeds the concept of frequency is irrelevant :-)

TopList

Main contest mode (single user): 50 groups transmitted with variable percentage of slashed callsigns. The personal record can be sent to the web site, which publishes the International RufzXP TopList weekly

TopList call

Callsign used for registration to the internet web site publishing the International RufzXP TopList: this may usually correspond to the personal callsign. Max length allowed: 8 characters.

Trainer

Highly configurable training mode. Recommended for a didactical use of Morse code or to consolidate the learning of a specific group of characters

WPM

Words per Minute: one of the two measures of Morse code transmission speed. It corresponds to the number of words PARIS transmitted in 1 minute. (NB: WPM = CPM / 5)


Tancredi

RufzXP: why "Tancredi"?

Certainly, many of you are wondering why this RufzXP version has been given the name of "Tancredi"... There are many reasons and I will try to explain the main ones in short.
The Tancredi we are speaking of is the hero of Voltaire's identically named tragedy, masterfully transposed into music by the genius of Gioachino Rossini; it is one of the masterpieces of the music history.

.

In September 2004, one of the authors ( Alessandro Vitiello - IV3XYM ) was in Oviedo on business and spent his sparetime time playing with Rufz32; unfortunately, using Windows 2000, he had some serious problems to have it working properly through DOSEmu and, during that period, he had the idea to develop a new version for Windows XP: the reason why he was in Oviedo was that his wife was singing Rossini's "Tancredi" at Campoamor theater, the main theater in the Asturias. Opera lovers know very well Alessandro's wife’s name: the mezzo Daniela Barcellona .

He wrote an email to Mathias Kolpe (DL4MM) suggesting the idea and asking him to write the program together: to make the idea more tangible, he developed the first classes of the future RufzXP (the part concerning wave form generation was developed in collaboration with Stefano Bonetti, composer, programmer and electronic music expert); Mathias really liked the idea and, a few weeks later, the project took off: at that time, Alessandro was in Rome where, needless to say, Daniela was engaged with Trancredi again! :-D

The program was born under Rossini's influence and so we decided to name it after Tancredi (above all to thank Daniela for her help and patience with Alessandro during this period :-D).


Authors

The authors

DL4MM

IV3XYM

Mathias Kolpe (DL4MM, ex DL3DZZ, ex Y33UL, ex Y66QL)

Founder of Rufz project and programmer of all the previous versions of the software. He has supplied to RufzXP all the algorithms to calculate the score and the speed, contributing to the definitive program layout (attempts, contest and trainer) and to the planning of the general classes. Ma intainer of RufzXP German version, RufzXP homepage and International Toplist.

Born in 1964 he’s got his first amateur radio license in 1981. From beginning of his ham life he has been interested in DX/Contests. So far he has 331 DXCC entities confirmed. In 1990 he was the winner of the European DX Contest SSB (in Europe) and he is a regular operator at DF0HQ/DA0HQ. In addition he has been very active in High Speed Telegraphy. Until 1990 he participated regularly in the (East-) German telegraphy championships as well as in the Neerpelt (Belgium) 1991 IARU High Speed Telegraphy Championship. Following this he became the DARC High Speed Telegraphy manager and a member of the IARU High Speed Telegraphy Working Group. In late 2006 he passed his duty to his successor and now serves as International Class referee.

Mathias, who graduated from Dresden Technical University, is an electrical engineer and works as a technical project manager in the construction of high-voltage substations for a major French company. As a student he became interested in Turbo Pascal Programming. He began his career in a software project with the aim to design a Turbo Pascal based analyzing tool for digital protection relays. At that time he conceived his RUFZ idea and implemented it in Turbo Pascal, initially for personal use only. Soon, however, the software became widely appreciated by the CW community. As a consequence Mathias decided to improve his first version and to create and maintain an International RUFZ Top List. RUFZ became part and parcel of international HST championships.

In his job Mathias became familiar with Windows based object oriented programming and he programmed several Visual Basic Applications on MS ACCESS databases and SQL. Due to lack of time, though, caused by a busy job on the one hand and his family life on the other, as well as unsatisfactory knowledge of windows low level programming, the transition of RUFZ from DOS to a sophisticated Windows surface has not yet been realized. He was very lucky in finding a highly skilled programmer (s. below) to join forces in the development of a new RufzXP.

Alessandro Vitiello (IV3XYM - IQRP#578)

Programmer and co-author of the last version of the Rufz project (RufzXP). He planned and implemented all the general purpose classes, those concerning Morse code generation and transmission, trainer mode and data management. Maintainer of RufzXP software and RufzXP Italian version.

Pianist and conductor born in Trieste, he completed his studies with M° Lorenzo Baldini and took a specialization in lieder and vocal technique with M° Vagn Thordal and in conducting with M° Gianluigi Gelmetti, at the prestigious “Accademia Chigiana” in Siena. He collaborated with conductors of international renown, such as G. Gelmetti and A. Zedda, and performed on the stages of the most important festivals and theatres (Rossini Opera Festival in Pesaro, Liceo of Barcelona, Genoa, San Sebastian, Lima, Tokyo, etc).

He regularly collaborates with singers of world-wide fame as piano accompanist or as teacher, specialized in Rossini and more generically in Belcanto.

At 15, as a hobby, he approached the world of programming, using a Commodore 64 and writing his first software in Assembler: later on, he started developing in C, C++ (on Linux OS, starting from the very first versions, and Windows) and, recently, in Visual Basic .Net and C# .Net.

Electronics and SWL amateur, since childhood he devoted himself to the radio world, building simple transmitters (mostly limited to CW). He obtained the patent for amateur radio station operator in 2002 and now, during his world-wide tours, he spents his spare time working QRP on the HF bands (basically in CW mode). At home, he is also active on the satellites frequencies.

In 2003, while looking for a software to improve his Morse receiving capabilities, he discovered Rufz32; his experience in musical teaching suggested him immediately that the learning curve provided by the program was correct: starting form a receving speed of 16 wpm (80 cpm), in 2 months he established his personal record of 49 wpm (245 cpm). Cause the compatibility problems between the DOS version and the operative system used (Windows 2000), he decided to develop, with Mathias Kolpe, a new version based on the Microsoft .NET Framework.

Credits

For their fundamental contribution, thanks to::

Stefano Bonetti: musician and programmer, graduated in piano and composition, he planned and implemented the classes concerning wave forms generation and some other minor objects.

Ulf Ehrlich (DL5AXX): medical service engineer, has contributed a huge number of calls of DA0HQ/DF0HQ logs as raw base for creation of callbase.

Giovanna Ragnetti: translator and professional interpreter, he translated the most of the documentation to English.

Marco Tuniz (IV3NCC - IQRP#509): Ex professional Morse radio operator, radio amateur expert in antennas and QRP rigs, he supplied precious suggestions during the software planning.

Wolfram Heß, (DL1RXA): author and film/radio narrator (DL1RXA/DK0DX), editor. He contributed to the translation of some documentation chapters to English.

Dan Flanagan, (W3DF): has contributed to the "Ham code" trainer mode providing the list of supported abbreviations (http://www.qsl.net/w3df/cwabbrev.html).